View Issue Details

IDProjectCategoryView StatusLast Update
0000228MetaPostbugpublic2010-07-14 12:31
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version2.000Fixed in Version 
Summary0000228: infinite loops can cause segfaults
DescriptionThe code below can cause a segfault because the C stack becomes exhausted
(you have to set param_size high enough, a 100.000 suffices on linux)
Additional Informationboolean a ;
vardef a =
    if a : fi ;
enddef ;
a ;
end.
TagsNo tags attached.

Activities

Taco

2009-05-21 11:58

administrator   ~0000203

rudimentary solution in #1039.

Taco

2009-06-06 11:25

administrator   ~0000218

Here is another case, reported by Nicola

1) the following code:

vardef foo@# = @ enddef; foo.a;

causes a segmentation fault with mpost 1.201 and 1.202, while it
correctly generates a stack capacity exceeded error in mpost 1.005. Note
that

Taco

2009-06-09 14:17

administrator   ~0000225

second case fixed by #1093

Issue History

Date Modified Username Field Change
2009-05-18 12:36 Taco New Issue
2009-05-21 11:58 Taco Status new => assigned
2009-05-21 11:58 Taco Assigned To => Taco
2009-05-21 11:58 Taco Note Added: 0000203
2009-05-21 11:59 Taco Target Version => 2.000
2009-06-06 11:25 Taco Note Added: 0000218
2009-06-09 14:17 Taco Note Added: 0000225
2010-07-14 12:31 Taco Status assigned => closed
2010-07-14 12:31 Taco Resolution open => fixed